---
title: color-interpolation
slug: Web/SVG/Attribute/color-interpolation
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p class="seoSummary">The <strong><code>color-interpolation</code></strong> attribute specifies the color space for gradient interpolations, color animations, and alpha compositing.</p>

<div class="notecard note">
<p><strong>Note:</strong> For filter effects, the {{SVGAttr("color-interpolation-filters")}} property controls which color space is used.</p>
</div>

<p>The color-interpolation property chooses between color operations occurring in the sRGB color space or in a (light energy linear) linearized RGB color space. Having chosen the appropriate color space, component-wise linear interpolation is used.</p>

<p>When a child element is blended into a background, the value of the <code>color-interpolation</code> property on the child determines the type of blending, not the value of the <code>color-interpolation</code> on the parent. For gradients which make use of the {{SVGAttr("href")}} or the deprecated {{SVGAttr("xlink:href")}} attribute to reference another gradient, the gradient uses the propertyʼs value from the gradient element which is directly referenced by the {{SVGAttr("fill")}} or {{SVGAttr("stroke")}} property. When animating colors, color interpolation is performed according to the value of the <code>color-interpolation</code> property on the element being animated.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>color-interpolation</code> can be used as a CSS property.</p>

<p>As a presentation attribute, it can be applied to any element but it only has an effect on the following 29 elements: {{SVGElement("a")}}, {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("circle")}}, {{SVGElement("clipPath")}}, {{SVGElement("defs")}}, {{SVGElement("ellipse")}}, {{SVGElement("foreignObject")}}, {{SVGElement("g")}}, {{SVGElement("glyph")}}, {{SVGElement("image")}}, {{SVGElement("line")}}, {{SVGElement("linearGradient")}}, {{SVGElement("marker")}}, {{SVGElement("mask")}}, {{SVGElement("missing-glyph")}}, {{SVGElement("path")}}, {{SVGElement("pattern")}}, {{SVGElement("polygon")}}, {{SVGElement("polyline")}}, {{SVGElement("radialGradient")}}, {{SVGElement("rect")}}, {{SVGElement("svg")}}, {{SVGElement("switch")}}, {{SVGElement("symbol")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tspan")}}, and {{SVGElement("use")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code>sRGB</code> | <code>linearRGB</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>sRGB</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>discrete</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>auto</code></dt>
 <dd>Indicates that the user agent can choose either the <code>sRGB</code> or <code>linearRGB</code> spaces for color interpolation. This option indicates that the author doesn't require that color interpolation occur in a particular color space.</dd>
 <dt><code>sRGB</code></dt>
 <dd>Indicates that color interpolation should occur in the sRGB color space.</dd>
 <dt><code>linearRGB</code></dt>
 <dd>Indicates that color interpolation should occur in the linearized RGB color space as described in <a class="external" href="https://webstore.iec.ch/publication/6169">the sRGB specification</a>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2', 'painting.html#ColorInterpolation', 'color-interpolation')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>No significant change</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'painting.html#ColorInterpolationProperty', 'color-interpolation')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.color-interpolation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="external" href="https://webstore.iec.ch/publication/6169">sRGB specification</a></li>
 <li>{{SVGAttr("color-interpolation-filters")}}</li>
 <li><a href="https://www.youtube.com/watch?v=LKnqECcg6Gw">Computer color is broken</a> - popular demonstration of linearRGB</li>
</ul>

<div id="gtx-trans">
<div class="gtx-trans-icon"></div>
</div>
